Skip to content
Docs

Retrieve

Retrieve

client.organizations.users.retrieve(stringuserID, UserRetrieveParams { organization_id, expand, xClientRequestID } params, RequestOptionsoptions?): OrganizationUser { id, created_at, role, 5 more }
GET/organizations/{organization_id}/users/{user_id}

Get a specific user in an organization

ParametersExpand Collapse
userID: string

Identifier for API resources. A 26-char nanoid (URL/DNS safe).

minLength1
maxLength255
params: UserRetrieveParams { organization_id, expand, xClientRequestID }
organization_id: string

Path param: Organization ID or label identifier

minLength1
maxLength255
expand?: Array<"permissions" | "total_count">

Query param: Fields to expand in the response. Supports "permissions" to include the permissions field with the caller's permissions for the resource. For list organization identities only, "total_count" populates pagination.total_count with the number of identities matching the same filters as the list (excluding cursor and limit). Other operations ignore expand values they do not use.

Accepts one of the following:
"permissions"
"total_count"
xClientRequestID?: string

Header param: Unique request identifier specified by the originating caller and passed along by proxies.

formatuuid
ReturnsExpand Collapse
OrganizationUser { id, created_at, role, 5 more }
id: string

The keycard account ID

minLength1
maxLength255
created_at: string

The time the entity was created in utc

formatdate-time

User's role in the organization

Accepts one of the following:
"org_admin"
"org_member"
"org_viewer"
source: string

Identity provider issuer

formaturi

Status of organization membership

Accepts one of the following:
"active"
"disabled"
updated_at: string

The time the entity was mostly recently updated in utc

formatdate-time
email?: string

User email address

formatemail
permissions?: Record<string, Record<string, boolean>>

Permissions granted to the authenticated principal for this resource. Only populated when the 'expand[]=permissions' query parameter is provided. Keys are resource types (e.g., "organizations"), values are objects mapping permission names to boolean values indicating if the permission is granted.

Retrieve

import KeycardAPI from '@keycardai/api';

const client = new KeycardAPI();

const organizationUser = await client.organizations.users.retrieve('ab3def8hij2klm9opq5rst7uvw', {
  organization_id: 'x',
});

console.log(organizationUser.id);
{
  "id": "ab3def8hij2klm9opq5rst7uvw",
  "created_at": "2019-12-27T18:11:19.117Z",
  "role": "org_admin",
  "source": "https://example.com",
  "status": "active",
  "updated_at": "2019-12-27T18:11:19.117Z",
  "email": "dev@stainless.com",
  "permissions": {
    "organizations": {
      "read": true,
      "update": true
    },
    "users": {
      "read": true,
      "list": true
    }
  }
}
Returns Examples
{
  "id": "ab3def8hij2klm9opq5rst7uvw",
  "created_at": "2019-12-27T18:11:19.117Z",
  "role": "org_admin",
  "source": "https://example.com",
  "status": "active",
  "updated_at": "2019-12-27T18:11:19.117Z",
  "email": "dev@stainless.com",
  "permissions": {
    "organizations": {
      "read": true,
      "update": true
    },
    "users": {
      "read": true,
      "list": true
    }
  }
}